/*
 * Class ACTIVE_INTEGER_INTERVAL
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_150 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_150 [] = {0xFF01,237,149,0xFFFF};
static const EIF_TYPE_INDEX egt_2_150 [] = {0xFF01,149,0xFFFF};
static const EIF_TYPE_INDEX egt_3_150 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_150 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_150 [] = {0xFF01,149,0xFFFF};
static const EIF_TYPE_INDEX egt_6_150 [] = {0xFF01,149,0xFFFF};
static const EIF_TYPE_INDEX egt_7_150 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_150 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_150 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_150 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_150 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_150 [] = {0xFF01,149,0xFFFF};
static const EIF_TYPE_INDEX egt_13_150 [] = {0xFF01,288,206,0xFFFF};
static const EIF_TYPE_INDEX egt_14_150 [] = {206,0xFFFF};
static const EIF_TYPE_INDEX egt_15_150 [] = {0xFF01,280,206,0xFFFF};
static const EIF_TYPE_INDEX egt_16_150 [] = {206,0xFFFF};
static const EIF_TYPE_INDEX egt_17_150 [] = {206,0xFFFF};
static const EIF_TYPE_INDEX egt_18_150 [] = {0xFF01,148,0xFFFF};
static const EIF_TYPE_INDEX egt_19_150 [] = {0xFF01,285,206,0xFFFF};
static const EIF_TYPE_INDEX egt_20_150 [] = {0xFF01,0,0xFFFF};
static const EIF_TYPE_INDEX egt_21_150 [] = {0xFF01,149,0xFFFF};
static const EIF_TYPE_INDEX egt_22_150 [] = {0xFF01,395,0xFF01,0xFFF9,0,174,0xFFFF};
static const EIF_TYPE_INDEX egt_23_150 [] = {395,0xFF01,0xFFF9,0,174,0xFFFF};
static const EIF_TYPE_INDEX egt_24_150 [] = {206,0xFFFF};


static const struct desc_info desc_150[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_150), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_150), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4137, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_150), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4177, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_150), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_150), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_150), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_150), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_150), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_150), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_150), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_150), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_150), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x012B /*149*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_150), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4171, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2019, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1850, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1851, 4},
	{EIF_NON_GENERIC(0x017F /*191*/), 1965, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1853, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1854, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_150), 4150, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_150), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2067, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 4134, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2105, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2102, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2103, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2104, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2106, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4145, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4146, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4139, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4140, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1923, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1967, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4173, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1924, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4160, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1925, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4147, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_150), 3368, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_150), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 4169, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 4170, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4132, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4161, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4161, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_150), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 4169, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_150), 4136, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4132, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 4133, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 4135, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 4135, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4163, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4172, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4165, 5},
	{EIF_NON_GENERIC(0x019D /*206*/), 4166, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4167, 6},
	{EIF_NON_GENERIC(0x019D /*206*/), 4168, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4138, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4175, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4176, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_150), 4148, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_150), 4149, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_150), 4152, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4153, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4154, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4155, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4156, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 4157, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 4158, 8},
	{EIF_NON_GENERIC(0x019D /*206*/), 4159, 12},
	{EIF_GENERIC(NULL), 4174, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_150), 4178, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4179, 0xFFFFFFFF},
	{EIF_GENERIC(egt_23_150), 4180, 0},
	{EIF_GENERIC(egt_24_150), -1, 0xFFFFFFFF},
};
void Init150(void)
{
	IDSC(desc_150, 0, 149);
	IDSC(desc_150 + 1, 1, 149);
	IDSC(desc_150 + 32, 77, 149);
	IDSC(desc_150 + 41, 35, 149);
	IDSC(desc_150 + 42, 103, 149);
	IDSC(desc_150 + 44, 129, 149);
	IDSC(desc_150 + 50, 282, 149);
	IDSC(desc_150 + 59, 99, 149);
	IDSC(desc_150 + 61, 187, 149);
	IDSC(desc_150 + 67, 256, 149);
	IDSC(desc_150 + 70, 229, 149);
	IDSC(desc_150 + 71, 50, 149);
	IDSC(desc_150 + 72, 236, 149);
	IDSC(desc_150 + 73, 53, 149);
	IDSC(desc_150 + 93, 92, 149);
	IDSC(desc_150 + 96, 172, 149);
}


#ifdef __cplusplus
}
#endif
